SystemOrganization addCategory: #SimpleApplescript!
SystemOrganization addCategory: #'SimpleApplescript-Specifications'!

TestCase subclass: #ApplescriptSpecification
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimpleApplescript-Specifications'!

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 12/6/2011 09:36'!
testDoIt

	| result |
	result := Applescript doIt: 'get item 1 of {"one", "two", "three"}'.
	self assert: (result = '"one"').! !

!ApplescriptSpecification methodsFor: 'tests' stamp: 'SeanDeNigris 12/6/2011 09:48'!
testDoItError

	self should: [ Applescript doIt: 'get item 1 of {"one"'] raise: Error whoseDescriptionIncludes: 'syntax error:' description: ''.
! !

Object subclass: #Applescript
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimpleApplescript'!

!Applescript commentStamp: 'SeanDeNigris 12/6/2011 09:55' prior: 0!
I execute Applescript scripts via my class side #doIt:.

I am a bare-bones replacement for the class of the same name in the Applescript project (on Squeaksource) because the required plugin does not work on the new Cocoa Cog VMs.!

!Applescript classSide methodsFor: 'scripting' stamp: 'SeanDeNigris 12/6/2011 09:49'!
doIt: aString 

	| process |
	process := PipeableOSProcess waitForCommand: '/usr/bin/osascript -ss -e ''', aString, ''''.
	process succeeded ifFalse: [ self error: process errorUpToEndOfFile ].
	^ process output withoutTrailingBlanks.
! !
